# -*- rpm-spec -*-
# $Id: tcl,v 1.33 2002/10/23 09:50:27 lioka Exp $

%define major 8.4

Name: tcl
Version: %major.1
Release: alt1

Summary: A Tool Command Language (TCL) 
License: BSD
Group: Development/Tcl
Url: http://www.tcl.tk/

Source0: http://download.sourceforge.net/%name/%name%version-src.tar.bz2
Source1: README.ALT
Source2: tcl.m4
Source3: tea-macros
Patch0: %name-8.4.0-norpath.patch
Patch1: %name-8.4.1-libpath.patch
Patch2: %name-8.4.0-xhdrs.patch
Patch3: %name-8.3.4-ieee.patch
Patch4: %name-8.4.0-ac25.patch
Patch5: %name-8.4.0-soname.patch

BuildRequires: autoconf_2.5 rpm-build >= 4.0.4-alt0.7
Requires: lib%name = %version-%release

%package -n lib%name
Summary: A Tool Command Language (TCL) - shared library
Group: System/Libraries

%package devel
Summary: Header files and C programming manual for TCL
Group: Development/C
Requires: %name = %version-%release rpm-build >= 4.0.4-alt1

%description
Tcl is a simple scripting language designed to be embedded into
other applications. This package also includes tclsh, a simple
example of a Tcl application.

%description -n lib%name
Tcl is a simple scripting language designed to be embedded into
other applications. This package includes shared tcl library only.

%description devel
Tcl is a simple scripting language designed to be embedded into
other applications. This package includes header files and
C programming manual for TCL.

%prep
%setup -q -n %name%version
%patch0 -p1 -b .rpath
%patch1 -p1 -b .libpath
%patch2 -p1 -b .xhdrs
%patch3 -p1 -b .ieee
%patch4 -p1 -b .ac25
%patch5 -p0 -b .soname

%build 
cd unix
%__autoconf
%configure --enable-shared --enable-gcc
%make_build

%install 
%make_install INSTALL_ROOT=%buildroot install -C unix
%__cp -p %SOURCE1 .
%__install -p -m0644 -D unix/tcl.m4 %buildroot%_datadir/aclocal/%name.m4
%__install -p -m0644 %SOURCE2 %buildroot%_datadir/aclocal/tea.m4
%__install -p -m0644 -D %SOURCE3 %buildroot%_sysconfdir/rpm/macros.d/tcl
%__install -m0755 -d %buildroot%_tcldatadir
%__ln_s -f tclsh%major %buildroot%_bindir/tclsh
%__ln_s -f lib%name%major.so %buildroot%_libdir/lib%name.so
%__chmod 0644 %buildroot%_libdir/lib%{name}stub%major.a

%post -n lib%{name} -p %post_ldconfig
%postun -n lib%{name} -p %postun_ldconfig

%files
%doc README* license* ChangeLog
%_bindir/tclsh*
%dir %_tcldatadir
%dir %_tcldatadir/%name%major
%_tcldatadir/%name%major/encoding
%_tcldatadir/%name%major/http*
%_tcldatadir/%name%major/msgcat*
%_tcldatadir/%name%major/tcltest*
%_tcldatadir/%name%major/opt*
%_tcldatadir/%name%major/*.tcl
%_tcldatadir/%name%major/tclIndex
%_man1dir/*
%_mandir/mann/*

%files -n lib%name
%_libdir/lib%name%major.so

%files devel
%_sysconfdir/rpm/macros.d/tcl
%_includedir/*
%_libdir/lib%name.so
%_libdir/lib%{name}stub%{major}.a
%_libdir/%{name}Config.sh
%_tcldatadir/%name%major/%{name}AppInit.c
%_datadir/aclocal/*.m4
%_man3dir/*

%changelog
* Wed Oct 23 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.4.1-alt1
- 8.4.1

* Wed Sep 25 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.4.0-alt1
- 8.4.0
- new package lib%name appeared
- new layout:
  - libtclXX.so goes back to %_libdir
  - tcl_pkgPath _not_ contains %_tcllibdir nor %_libdir
  - all script stuff goes to %_tcldatadir
- tcl-specific rpm macros added

* Mon Jun 3 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt8
- libpath changed to %_libdir/tcl, tcl_pkgPath contains also %_datadir/tcl
  for pure-tcl extensions
- tcl.m4 installs system-wide, please use them
- now contains private headers in %_includedir/tcl
- adopted patches from RH & SuSE
- src rpm splitted

* Mon Mar 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt7
- fixed encoding file for koi8-u

* Tue Mar 05 2002 Stanislav Ievlev <inger@altlinux.ru> 8.3.4-alt6
- removed all -lieee, 'cause
  fist: Programs can work with -lm and without -lieee
  second: Programs cannot link with lieee library

* Fri Dec  7 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 8.3.4-alt5
- tclx fixes
- fixed tls build with stubs from tcl build dir
- fixed permissions for %_libdir/lib*stub*.a

* Wed Oct 24 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.4-alt4
- Tcl/Tk 8.3.4
- SSL support added (tcl-tls)

* Mon Jul 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 8.3.3-alt3
- Removed unnecessary provides and obsoletes.
- Added *_rel macros for subpackages and corrected inter-requires.
- Merged RH patches.

* Sat Jun 16 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt2
- Rearranged files in subpackages: tcl, tcl-devel
- Tk splitted to: tk tk-devel tk-demos
- tclX 8.3.0, splitted to: tclx tclx-devel
- tix 8.1, splitted to: tix tix-devel tix-demos
- itcl 3.2, splitted to: itcl itcl-devel itcl-demos compat-itcl compat-itcl-demos. Huh :)
- tcllib removed to separate package
- Dropped most of changelog entries
- Group fixed

* Tue May 15 2001 Sergey Bolshakov <sbolshakov@altlinux.ru> 8.3.3-alt1
- Tcl/Tk 8.3.3
- tcllib 0.8
- expect 5.32, splitted to subpackages.

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 8.3.2-ipl8mdk
- Moved include files and C programming manual to tcl-devel subpackage.
- Fixed out empty manpages.

* Wed Nov 29 2000 AEN <aen@logic.ru> 8.3.2-ipl7mdk
- build for RE
- ps patch from Viktor Wagner
- bad requires patch
